package com.ruoyi.project.aspen.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.aspen.mapper.TElecdashboardRealtimeMapper;
import com.ruoyi.project.aspen.domain.TElecdashboardRealtime;
import com.ruoyi.project.aspen.service.ITElecdashboardRealtimeService;

/**
 * 电厂大屏实时数据Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-06
 */
@Service
public class TElecdashboardRealtimeServiceImpl implements ITElecdashboardRealtimeService
{
    @Autowired
    private TElecdashboardRealtimeMapper tElecdashboardRealtimeMapper;

    /**
     * 查询查询日期最靠前的电厂大屏实时数据
     *
     * @return 日期最靠前的电厂大屏实时数据
     */
    @Override
    public TElecdashboardRealtime selectTElecdashboardRealtimeByMaxDate()
    {
        return tElecdashboardRealtimeMapper.selectTElecdashboardRealtimeByMaxDate();
    }

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TElecdashboardRealtime selectTElecdashboardRealtimeById(Long id)
    {
        return tElecdashboardRealtimeMapper.selectTElecdashboardRealtimeById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tElecdashboardRealtime 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TElecdashboardRealtime> selectTElecdashboardRealtimeList(TElecdashboardRealtime tElecdashboardRealtime)
    {
        return tElecdashboardRealtimeMapper.selectTElecdashboardRealtimeList(tElecdashboardRealtime);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tElecdashboardRealtime 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTElecdashboardRealtime(TElecdashboardRealtime tElecdashboardRealtime)
    {
        return tElecdashboardRealtimeMapper.insertTElecdashboardRealtime(tElecdashboardRealtime);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tElecdashboardRealtime 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTElecdashboardRealtime(TElecdashboardRealtime tElecdashboardRealtime)
    {
        return tElecdashboardRealtimeMapper.updateTElecdashboardRealtime(tElecdashboardRealtime);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardRealtimeByIds(Long[] ids)
    {
        return tElecdashboardRealtimeMapper.deleteTElecdashboardRealtimeByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardRealtimeById(Long id)
    {
        return tElecdashboardRealtimeMapper.deleteTElecdashboardRealtimeById(id);
    }
}
